import setuptools
import os

# Read the README for the long description
this_directory = os.path.abspath(os.path.dirname(__file__))
with open(os.path.join(this_directory, "README.md"), encoding="utf-8") as f:
    long_description = f.read()

setuptools.setup(
    name="ghops",
    version="0.2.0",
    description="A CLI tool for managing GitHub repositories in bulk",
    long_description=long_description,
    long_description_content_type="text/markdown",
    author="Alex Towell",
    author_email="lex@metafunctor.com",
    url="https://github.com/queelius/ghops",
    license="MIT",
    packages=setuptools.find_packages(),
    python_requires=">=3.7",
    install_requires=[
        "rich>=13.0.0",
        "pathlib",  # Not strictly necessary in Py3.7+, but included if you want it explicit
    ],
    entry_points={
        "console_scripts": [
            "ghops=ghops.__main__:main",  # Adjust as needed if your CLI entry point is different
        ]
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Intended Audience :: Developers",
        "Topic :: Software Development :: Version Control :: Git",
    ],
    keywords="git github cli automation",
)
